#include "csystem_external.h"
CSystemExternal& SystemExternalHelper::GetSysInstance()
{
    return *m_pInstance;
}

void SystemExternalHelper::SetInstance(CAllsystem* pInstance)
{
    m_pInstance = static_cast<CSystemExternal*>(pInstance); 
}

SystemExternalHelper& SystemExternalHelper::Instance()
{
    static SystemExternalHelper instance;
    return instance;
}

